Subject: Re: bug#11535: 24.0.96; Offered: coffee-mode.el

From: Stefan Monnier <[email-masked]>
Date: Mon, 21 May 2012 21:24:50 -0400

> Would the Emacs maintainers like a mode for CoffeeScript? (CoffeeScript
> is a popular sugared JavaScript: see coffeescript.org.) coffee-mode.el
> is at:

> https://github.com/defunkt/coffee-mode

I'd be very happy to install it in GNU ELPA,

> has contributed more than 15 lines at a time, thus falling below the

You meant "...15 lines in total", right?

> I've put some effort into tidying coffee-mode up for inclusion in Emacs,
> mainly by removing functionality duplicated elsewhere, and adding
> support for autoloading and customization. I'd be happy to address
> remaining concerns about code style, and details of Emacs integration.
> I'm happy in general to act as sponsor for this package, e.g. getting
> Chris to sign the copyright assignment etc. (as a GNU maintainer, I'm
> reasonably familiar with the requirements).

Sounds very good,

        Stefan